package rss;

/*
 * @(#)RssException.java	1.0 99/06/15
 *
 */
public class RssException extends Exception {
	private int errorCode = 0;

/**
 * Construct a new RssException.
 */
public RssException() {
	super();
}

/**
 * Construct a new RssException instance using specified message and error code.
 * @param msg java.lang.String
 * @param errCode the error code
 */
public RssException(String msg,int errCode) {
	super(msg);
	errorCode = errCode;
}

/**
* Return the error code represents the error reason.
* @return the error code
 */
public int getErrorCode() {
	return errorCode;
}

}
