
import rss.*;
import weeb.*;


/***********************************************************
 ***********************************************************/
public class Test{
	Weeb Wee;
	Rsst4j Rsst1;


/*
 */
public void CheckResult(){
	int rt= Rsst1.getRtCode();
 if( rt!=0 ){
	System.out.println( "RtCode=" + rt );
	System.exit(-1);
 }
}


/*
 */
public Test(String doc_root){
 try{
	Wee= new Weeb();
	Rsst1= new Rsst4j();

	Rsst1.KeyPutInteger( "Debug", 0 ); //Nodebug
	Rsst1.KeyPut( "DocRoot", doc_root );
	Wee.Rssi(Rsst1, "Activate");
	CheckResult();

	System.out.println( "Start Weeb ..." );
 	Rsst1.Clear();
 	Wee.Rssi(Rsst1, "Start");
	CheckResult();

  synchronized(this){
	wait(0);
  }

	System.out.println( "Stop Weeb ..." );
 	Rsst1.Clear();
 	Rsst1.CallRssi("Stop");
	CheckResult();

 	Rsst1.Clear();
 	Wee.Rssi(Rsst1, "Deactivate");
	CheckResult();
 }
 catch(Exception e){
	e.printStackTrace();
 } 
}


/*
 */
public static void main( String astrArg[] ) throws NumberFormatException{
 if(astrArg.length==0){
	System.out.println( "Usage:\njava Test [<DocumentRoot>]" );
	System.exit(0);
 }

	new Test(astrArg[0]);
}

}
