package weeb;

import java.io.*;
import java.net.*;


public class Browser{

	//URL
	String urlString;

public static void main(String[] args) throws Exception {
 if(args.length != 1){
	System.out.println("Usage: Java Browser url");
	System.exit(1);
 }

	Browser browser = new Browser(args[0]);
	browser.run();
}


public Browser(String urlString){
	this.urlString = urlString;
}


public void run() throws Exception {
	//Create a URL object
	URL url = new URL(urlString);
	//Get input stream
	HttpURLConnection urlc = (HttpURLConnection) url.openConnection();
	//Print head message
	System.out.println("THE HEADERS");
	System.out.println("-----------");

 for(int i=1;;++i){
	String key;
	String value;
	if((key = urlc.getHeaderFieldKey(i)) == null) break;
	if((value = urlc.getHeaderField(i)) == null) break;
	System.out.print(key);
	System.out.println(" is: " + value);
 }
	//Get input stream
	BufferedReader reader = new BufferedReader( new InputStreamReader( urlc.getInputStream() ) );
	String line;
	System.out.println("-----CONTENT------");
	while((line = reader.readLine()) != null)
	System.out.println(line);
}

}