
import java.util.*;
import rss.*;


/***********************************************************
 ***********************************************************/
public class Test{

	static Rsst4j Rsst1= new Rsst4j();
	static String IniFile= "." + System.getProperties().getProperty("file.separator") + "myreg.ini";


/*
 */
static public void CheckResult(){
	int rt= Rsst1.getRtCode();
 if( rt!=0 ){
	System.out.println( "Init RtCode=" + rt );
	System.exit(-1);
 }
}


/*
 */
static public void main( String astrArg[] ){
	int rt;

 if( astrArg.length ==0 ){
	System.out.println( "Usage:\njava Test <DLL PATH>" );
	System.exit(0);
 }
	
	rt= Rsst1.Locate(astrArg[0], "RegistryRssi");
 if(rt!=0){
	System.out.println( "Can not locate dynamic library!" );
	System.exit(-1);
 }

 	Rsst1.Clear();
 	Rsst1.KeyPut( "RegName", IniFile );
 	Rsst1.CallRssi( "Activate" );
	CheckResult();

	System.out.println("---Write Registry File---");

 	Rsst1.Clear();
 	Rsst1.KeyPut( "KeyName", "Name" );
 	Rsst1.KeyPut( "Value", "Liu Rui" );
 	Rsst1.KeyPut( "SectionName", "Profile" );
 	Rsst1.CallRssi( "WriteKey" );
	CheckResult();

 	Rsst1.Clear();
 	Rsst1.KeyPut( "KeyName", "Title" );
 	Rsst1.KeyPut( "Value", "Mr." );
 	Rsst1.KeyPut( "SectionName", "Profile" );
 	Rsst1.CallRssi( "WriteKey" );
	CheckResult();

 	Rsst1.Clear();
 	Rsst1.KeyPut( "KeyName", "Phone" );
 	Rsst1.KeyPut( "Value", "123-456-7890" );
 	Rsst1.KeyPut( "SectionName", "Profile" );
 	Rsst1.CallRssi( "WriteKey" );
	CheckResult();

 	Rsst1.Clear();
 	Rsst1.KeyPut( "KeyName", "Software" );
 	Rsst1.KeyPut( "Value", "Regular Statement String (RSS)" );
 	Rsst1.KeyPut( "SectionName", "Products" );
 	Rsst1.CallRssi( "WriteKey" );
	CheckResult();

	System.out.println("\n---Read Registry File---");

 	Rsst1.Clear();
 	Rsst1.KeyPut( "KeyName", "Phone" );
 	Rsst1.KeyPut( "SectionName", "Profile" );
 	Rsst1.CallRssi( "ReadKey" );
	CheckResult();

	System.out.println( "The phone number got from registry file is: " + new String( Rsst1.KeyGet("Value") ) );

 	Rsst1.Clear();
	Rsst1.KeyPut( "Action", "Deactivate" );
	CheckResult();
}

}
